package sgc.portal.ei.ei0301.persistence;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.ei.ei0101.model.EI01010001U;
import sgc.portal.ei.ei0301.dto.EI03010001USearch;
import sgc.portal.ei.ei0301.model.EI03010001U;

@Mapper
public interface EI03010001UMapper {
	
	/*
     * SEARCH LIST
     */
    List<EasyHashMap<String, Object>> getList(EI03010001USearch search);
    
    List<EasyHashMap<String, Object>> getList2(EI03010001USearch search);
    
    List<EasyHashMap<String, Object>> getList3(EI03010001USearch search);
    
    List<EasyHashMap<String, Object>> getEqpDtlCd(EI03010001USearch search);
    
    
    /*
     * UPDATE
     */
    int update1(EI03010001U eI03010001U);
    
    int update2(EI03010001U eI03010001U);
    
    int update3(EI03010001U eI03010001U);
    
    /*
     * INSERT
     */
    int insert3(EI03010001U eI03010001U);
    
    /*
     * DELETE
     */
    int delete3(EI03010001U eI03010001U);
}
